
//----------------- Headers
#include "gui.h"

#include <FL/FL.h>
#include <FL/FL_Window.h>


//-------------------------Function Prototypes
// Callback to Open the Window necessary to open raw elevation and texture data

//--------------------------

void* GUIMain(void *pParameter)
{


	GUIThreadData* pData = (GUIThreadData*) pParameter;

	//----------- Setup the Main GUI Window------------//
	Fl_Double_Window* pw = make_window(pData->ppVTKApp,pData->x,pData->y);
	if(pw)
		pw->show();

	//-------Run FLTK-------//
	Fl::run();

	//delete_objects();
	return (void*)(pData);

}
