#ifndef VTK_APP_GUI_H
#define VTK_APP_GUI_H

#include <QUANTA/QUANTA.hxx>
#include <FL/Fl_Double_Window.H>
#include "vtkapp.h"


extern Fl_Double_Window* make_window(MyVTKApp**,int,int);
extern void delete_objects();

//		THREAD COMMUNICATION DATA STRUCTURE
//---------------------------------
typedef struct GUIThreadData_s
{

	int returnVal;
	MyVTKApp **ppVTKApp;
	int argc;
	char **argv;
	int x;
	int y;
	int width;
	int height;
	
}GUIThreadData;


void* GUIMain(void *);


#endif